**Source URL:** https://limited.veevavault.dev/qualityone/vault-api/api-reference/24.3/workflows/workflow-tasks/retrieve-workflow-task-action-details.md

# Retrieve Workflow Task Action Details



Retrieve the details of a specific workflow task action. The response lists the details of the task action, including all fields required to initiate the action. Note that task actions where `esignature` is `true` cannot be initiated via the API.

<Endpoint path="/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/{task_action}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{task_id}` | The task `id` field value. |
| `{task_action}` | The name of the task action retrieved from [Retrieve Workflow Task Actions](/vault-api/api-reference/24.3/workflows/workflow-tasks/retrieve-workflow-task-actions). |
</FieldTable>

## Query Parameters {#query-parameters}

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v21.2/objects/objectworkflows/tasks/5702/actions/complete

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "data": {
       "name": "workflow_task__c",
       "label": "Complete Review",
       "type": "task",
       "description": "Initiate the Content Module Approval flow.",
       "controls": [
           {
               "label": "Instruction",
               "type": "instructions",
               "instructions": "Please complete a review of the content within this content module and review the Content Module Asset record status as well."
           },
           {
               "label": "Verdict",
               "type": "verdict",
               "verdict": "verdict_public_key__c",
               "reason": "reason__c",
               "capacity": "capacity__c",
               "verdicts": [
                   {
                       "name": "verdict_approve_module__c",
                       "label": "Approve Module",
                       "esignature": true,
                       "prompts": [],
                       "comment": {
                           "name": "verdict_approve_module_comment__c",
                           "label": "Optional Approval Comments",
                           "type": "comment",
                           "required": false
                       },
                       "reasons": {
                           "label": "Approved",
                           "required": true,
                           "prompts": [
                               {
                                   "name": "reason_0_0__c",
                                   "label": "Passes Inspection"
                               }
                           ]
                       },
                       "capacities": {
                           "label": "Approver",
                           "required": false,
                           "prompts": [
                               {
                                   "name": "capacity_0_0__c",
                                   "label": "General Approver"
                               }
                           ]
                       }
                   },
                   {
                       "name": "verdict_return_to_draft__c",
                       "label": "Return to Draft",
                       "esignature": false,
                       "prompts": [],
                       "comment": {
                           "name": "verdict_return_to_draft_comment__c",
                           "label": "Updates Required",
                           "type": "comment",
                           "required": true
                       },
                       "reasons": {
                           "label": "Fails Inspection",
                           "required": false,
                           "prompts": [
                               {
                                   "name": "reason_1_0__c",
                                   "label": "Poor Quality"
                               },
                               {
                                   "name": "reason_1_1__c",
                                   "label": "Incorrect Data"
                               },
                               {
                                   "name": "reason_1_2__c",
                                   "label": "Other"
                               }
                           ]
                       },
                       "capacities": {
                           "label": "Rejector",
                           "required": false,
                           "prompts": [
                               {
                                   "name": "capacity_1_0__c",
                                   "label": "General Rejector"
                               }
                           ]
                       }
                   }
               ]
           }
       ]
   }
}

```
</CodeExample>

---

**Previous:** [Retrieve Workflow Task Actions](/qualityone/vault-api/api-reference/24.3/workflows/workflow-tasks/retrieve-workflow-task-actions)  
**Next:** [Initiate Workflow Task Action](/qualityone/vault-api/api-reference/24.3/workflows/workflow-tasks/initiate-workflow-task-action)